Author Topic: Update of ScummVM possible?  (Read 956 times)

Sigurd Fastenrath

  • Sr. Member
  • ****
  • Thank You
  • -Given: 16
  • -Receive: 82
  • Posts: 485
  • Karma: +14/-0
    • View Profile
Update of ScummVM possible?
« on: April 25, 2021, 10:41:26 am »
Is there a possibility to update "our" ScummVM for OS/2 Version from 1.9 to the upcoming 2.3 Version? And if, in wixh wich way can I help, if at all? Thanks in advance!

Paul Smedley

  • Hero Member
  • *****
  • Thank You
  • -Given: 60
  • -Receive: 119
  • Posts: 865
  • Karma: +69/-0
    • View Profile
Re: Update of ScummVM possible?
« Reply #1 on: April 25, 2021, 10:59:07 am »
HI Sigurd,

Is there a possibility to update "our" ScummVM for OS/2 Version from 1.9 to the upcoming 2.3 Version? And if, in wixh wich way can I help, if at all? Thanks in advance!

I can surely take a look. They used to mail me when a new release was coming, but stopped at some point.

Meanwhile... https://smedley.id.au/tmp/scummvm-2.1.0-os2.zip is from a while ago, and is probably untested....

Cheers,

Paul
« Last Edit: April 25, 2021, 11:04:22 am by Paul Smedley »

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Thank You
  • -Given: 581
  • -Receive: 121
  • Posts: 3224
  • Karma: +25/-0
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: Update of ScummVM possible?
« Reply #2 on: April 25, 2021, 04:11:15 pm »
Thanks Paul.

I also took a little time to update the page of the OS2World Gaming Site.

Regards
Martin Iturbide
OS2World NewsMaster
... just share the dream.

Sigurd Fastenrath

  • Sr. Member
  • ****
  • Thank You
  • -Given: 16
  • -Receive: 82
  • Posts: 485
  • Karma: +14/-0
    • View Profile
Re: Update of ScummVM possible?
« Reply #3 on: April 26, 2021, 08:30:50 am »
Thanks, Paul!

I can confirm, 2.1 is working with ArcaNoae 5.06 once I downloaded SDL2 from Hobbes and copied the extracted dlls to the OS2/DLL directory.

A AN Package Manager search for SDL2 did show no result.

There is an SDL Package available with  AN Package Manager but that leads not to a starting ScummVM.

- Is it possible to bundle the SDL2 DLLs with ScummVM?


One regression:

- I can not change the ScummVM Theme. The themes are included with the "other" Versions (like Windows) but unfortunately not as a separate file nor addon. The seem to be included in the .exe file (?). Is it possible to add the Themes (like modern) in the OS/2 Version as well (as with 1.9 i.e.)? The Standard Scheme does really look not very flattering.

Thanks again!!

Sigurd

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 13
  • -Receive: 219
  • Posts: 3067
  • Karma: +50/-0
    • View Profile
Re: Update of ScummVM possible?
« Reply #4 on: April 26, 2021, 04:10:34 pm »
SDL2 should be available in netlabs-exp.

Paul Smedley

  • Hero Member
  • *****
  • Thank You
  • -Given: 60
  • -Receive: 119
  • Posts: 865
  • Karma: +69/-0
    • View Profile
Re: Update of ScummVM possible?
« Reply #5 on: April 26, 2021, 10:22:33 pm »
SDL2 should be available in netlabs-exp.

Is it compatible with Digi's original port or did they manage to make it incompatible?

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 13
  • -Receive: 219
  • Posts: 3067
  • Karma: +50/-0
    • View Profile
Re: Update of ScummVM possible?
« Reply #6 on: April 27, 2021, 12:11:24 am »
SDL2 should be available in netlabs-exp.

Is it compatible with Digi's original port or did they manage to make it incompatible?

I'm not sure, haven't had any problems with it.

Sigurd Fastenrath

  • Sr. Member
  • ****
  • Thank You
  • -Given: 16
  • -Receive: 82
  • Posts: 485
  • Karma: +14/-0
    • View Profile
Re: Update of ScummVM possible?
« Reply #7 on: April 27, 2021, 10:07:55 pm »
Here some additional pictures, showing that there is only the standard theme as choice available and the other picture showing the error message within the second command window after the program started.

Hope this helps.

EDIT: Upps, sorry PM View did not cache the SCUMMVM window, at least it shows the error message of the second window
« Last Edit: April 27, 2021, 10:10:19 pm by Sigurd Fastenrath »

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Thank You
  • -Given: 581
  • -Receive: 121
  • Posts: 3224
  • Karma: +25/-0
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: Update of ScummVM possible?
« Reply #8 on: April 28, 2021, 03:00:57 am »
Hi Dave

SDL2 should be available in netlabs-exp.

There is the SDL2 package on netlabs-exp, but it does not contains SDL2.DLL, only SDL2200.DLL.
SCUMMVM.EXE seems to require SDL2.DLL.

I even try to find it:

Quote
[C:\]yum whatprovides */SDL2200.dll
SDL2-2.0.12-2.oc00.i686 : Cross-platform multimedia library
Repo        : netlabs-rel
Matched from:
Filename    : /@unixroot/usr/lib/SDL2200.dll

SDL2-2.0.12-2.oc00.i686 : Cross-platform multimedia library
Repo        : installed
Matched from:
Filename    : /@unixroot/usr/lib/SDL2200.dll

[C:\]yum whatprovides */SDL2.dll
No Matches found

[C:\]yum whatprovides */sdl2.dll
No Matches found

Regards
Martin Iturbide
OS2World NewsMaster
... just share the dream.

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Thank You
  • -Given: 581
  • -Receive: 121
  • Posts: 3224
  • Karma: +25/-0
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: Update of ScummVM possible?
« Reply #9 on: April 28, 2021, 03:06:31 am »
Hi

I just put Digi's SDL2 DLLs (SDL2-2.0.4-20200907.zip) on the same directory to run ScummVM. I get the same warnings as Sigurd.

I will get a game to keep testing it.

Regards
« Last Edit: April 28, 2021, 03:29:40 am by Martin Iturbide »
Martin Iturbide
OS2World NewsMaster
... just share the dream.

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Thank You
  • -Given: 581
  • -Receive: 121
  • Posts: 3224
  • Karma: +25/-0
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: Update of ScummVM possible?
« Reply #10 on: April 28, 2021, 03:21:45 am »
Hi

I tried Fly of the Amazon Queen. Sound works, music and voice audio (talkie version). Alt+Enter works for full screen.
For the moment I have the issue that on full screen mode, or if I increase the size of the window, the mouse works bad, it make little jumps (skips spaces).

Regards
« Last Edit: April 28, 2021, 03:34:10 am by Martin Iturbide »
Martin Iturbide
OS2World NewsMaster
... just share the dream.

Paul Smedley

  • Hero Member
  • *****
  • Thank You
  • -Given: 60
  • -Receive: 119
  • Posts: 865
  • Karma: +69/-0
    • View Profile
Re: Update of ScummVM possible?
« Reply #11 on: May 01, 2021, 03:03:39 am »
Building 2.2.0 now, will try investigate the theme issues...

Paul Smedley

  • Hero Member
  • *****
  • Thank You
  • -Given: 60
  • -Receive: 119
  • Posts: 865
  • Karma: +69/-0
    • View Profile
Re: Update of ScummVM possible?
« Reply #12 on: May 01, 2021, 06:59:55 am »
Building 2.2.0 now, will try investigate the theme issues...

2.2.0 doesn't start with Digi's SDL2: {0}[u:\dev\scummvm-2.2.0\scummvm-2.2.0-os2] scummvm.exe
Could not initialize SDL: SDL not built with joystick support!

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 13
  • -Receive: 219
  • Posts: 3067
  • Karma: +50/-0
    • View Profile
Re: Update of ScummVM possible?
« Reply #13 on: May 01, 2021, 08:50:04 am »
Configure option?
It does bring up something I was wondering, namely how hard to add joystick support to SDL? Seems we can read the USB joystick, but it would have to be massaged into the right format.

Paul Smedley

  • Hero Member
  • *****
  • Thank You
  • -Given: 60
  • -Receive: 119
  • Posts: 865
  • Karma: +69/-0
    • View Profile
Re: Update of ScummVM possible?
« Reply #14 on: May 01, 2021, 09:24:28 am »
Hi Dave,

Configure option?
It does bring up something I was wondering, namely how hard to add joystick support to SDL? Seems we can read the USB joystick, but it would have to be massaged into the right format.

I couldn't see a configure option to disable joystick support. Pretty sure sdl 1.2 had support - maybe I'll look at adding that support into Digi's SDL2  port